View Issue Details

IDProjectCategoryView StatusLast Update
0005989GNUnetintegration testspublic2019-12-15 19:15
ReporterHeiko Stamer Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.12.0Fixed in Version0.12.0 
Summary0005989: Bad internationalization
Description=====================================================
   gnunet 0.11.8: src/peerinfo-tool/test-suite.log
=====================================================

# TOTAL: 1
# PASS: 0
# SKIP: 0
# XFAIL: 0
# FAIL: 1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_gnunet_peerinfo.py
=============================

Failed to find `I am peer `.*\'.\r?\n' in stdout, which is is `b'Ich bin Knoten \xc2\xbbV9FDASK97S0WVKRSP9AWTNG1N4X16R1RSZMM6J2NM6V2CS3KCSWG\xc2\xab.\n''
FAIL test_gnunet_peerinfo.py (exit status: 2)
TagsNo tags attached.

Activities

schanzen

2019-12-08 13:10

manager   ~0015138

What exactly are you proposing / having an issue with? Do you think we should not translate?

Heiko Stamer

2019-12-10 05:24

reporter   ~0015139

Either the regex in "test_gnunet_peerinfo.py" should be adjusted or the translation should be turned off for the test suite.

Christian Grothoff

2019-12-10 20:06

manager   ~0015140

I think we should turn of i18n during testing. Something like os.setenv ("LANG=en") might do?

schanzen

2019-12-11 11:30

manager   ~0015142

LANG=C is probably the safe choice

schanzen

2019-12-11 11:57

manager   ~0015143

Tried a fix in 4bcfd0476..80d8d9008 but only for this test.

schanzen

2019-12-15 19:15

manager   ~0015187

Fixed in 0.12.0

Issue History

Date Modified Username Field Change
2019-12-07 23:59 Heiko Stamer New Issue
2019-12-08 13:10 schanzen Note Added: 0015138
2019-12-10 05:24 Heiko Stamer Note Added: 0015139
2019-12-10 20:06 Christian Grothoff Note Added: 0015140
2019-12-10 20:06 Christian Grothoff Target Version => 0.12.0
2019-12-11 11:30 schanzen Note Added: 0015142
2019-12-11 11:57 schanzen Note Added: 0015143
2019-12-11 11:57 schanzen Assigned To => schanzen
2019-12-11 11:57 schanzen Status new => feedback
2019-12-15 19:15 schanzen Status feedback => resolved
2019-12-15 19:15 schanzen Resolution open => fixed
2019-12-15 19:15 schanzen Fixed in Version => 0.12.0
2019-12-15 19:15 schanzen Note Added: 0015187
2019-12-15 19:15 schanzen Status resolved => closed